TABS(1V)

NAME
tabs - set tab stops on a terminal

SYNOPSIS
/usr/5bin/tabs [ tabspec ] [ -Ttype ] [ +mn ]

AVAILABILITY
This command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION

tabs can be used to specify TAB stops on terminals that support remotely-settable hardware TAB characters. TAB stops are set according to the tabspec option, as described below, and previous settings are erased.

Four types of tab specification are accepted for tabspec. They are:

-code
    Set the TAB stops according to the canned TAB setting specified by code, as given by fspec(5).

-n  Set the TAB stops at intervals of n columns, that is, at 1+n, 1+2*n, and so on, as per the -n specification as given by fspec(5).

n1,n2,...
    Set the TAB stops at positions n1, n2, and so on, as per the n1,n2,... specification as given by fspec(5).

--file
    Read the first line of the file specified by file, searching for a format specification as given by fspec(5). If this line contains a format specification, set the TAB stops accordingly, otherwise set them to every 8 columns. This type of specification may be used to make sure that a file containing a TAB specification is displayed with correct TAB settings. For example, it can be used with the pr(1V) command:

        tabs --file; pr file
If no tabspec is given, the default value is -8, the standard default TAB setting. The lowest column number is 1. Note: for tabs, column 1 always refers to the leftmost column on a terminal, even one whose column markers begin at 0, (such as the DASI 300, DASI 300s, and DASI 450). TAB and margin setting is performed by echoing to the proper sequences to the standard output.

OPTIONS

-Ttype
    tabs usually needs to know the type of terminal in order to set TAB characters, and always needs to know to set margins. type is a name listed in term(5). If no -T flag is supplied, tabs uses the value of the environment variable TERM. If TERM is not defined in the environment (see environ(5V)), tabs tries a default sequence that will work for many terminals.

+mn The margin argument may be used for some terminals. It moves all TAB stops over n columns by making column n+1 the left margin. If +m is given without a value of n, the value assumed is 10. For a TermiNet, the first value in the tab list should be 1, or the margin will move even further to the right. The normal (leftmost) margin on most terminals is obtained by +m0. The margin for most terminals is reset only when the +m flag is given explicitly.

SEE ALSO
pr(1V), tput(1V), environ(5V), fspec(5), term(5), terminfo(5V)

BUGS
There is no consistency between different terminals regarding ways of clearing tabs and setting the left margin.

tabs clears only 20 tabs (on terminals requiring a long sequence), but is willing to set 64.